
/* dIntProg Browser. A webbrowser written in Java.
 * Copyright (C) 2001 Martin Geisler <gimpster@gimpster.com>
 *  
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * 
 * Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

import java.awt.Graphics;
import javax.swing.*;

/** A block-quote. This is just like a normal {@link
 *  VerticalBoxStack}, except that there's a margin of 16 pixels at
 *  each side. This gives it the appearense of a block, suitable for
 *  quotes. */
public class BlockQuote extends VerticalBoxStack {

    private final int margin = 16;

    public void doLayout(Graphics g, JComponent c, int w) {
        super.doLayout(g, c, w - 2*margin);
    }

    public void drawAt(int x, int y, DocumentView v) {
        super.drawAt(x + margin, y, v);
    }

}
